Subject: Re: [PATCH v5 net-next 02/36] iov_iter: DDP copy to iter/pages

From: Christoph Hellwig <[email-masked]>
Date: Fri, 23 Jul 2021 07:03:02 +0200

On Thu, Jul 22, 2021 at 11:23:38PM +0300, Boris Pismenny wrote:
> This routine, like other changes in this file, replicates the logic in
> memcpy_to_page. The only difference is that "ddp" avoids copies when the
> copy source and destinations buffers are one and the same.

Now why can't we just make that change to the generic routine?

If we can't, why do they not have a saner name documenting what they
actually do?